Docs | Support

readthedocs/readthedocs.org

requirements/pip.txt


pip ==19.3.1 20.0.2 outdated Python 3 Permissive  
appdirs ==1.4.3 1.4.3 up-to-date Python 3 Permissive  
virtualenv ==16.7.7 20.0.16 outdated Python 3 Permissive  
django ==2.2.11 3.0.5 outdated Python 3 Permissive  
django-extensions ==2.2.5 2.2.9 outdated Python 3 Permissive  
django_polymorphic ==2.1.2 2.1.2 up-to-date Python 3 Permissive  
djangorestframework ==3.10.3 3.11.0 outdated Python 3 Permissive  
Sphinx ==1.8.5 3.0.0 up-to-date Python 3 Permissive  
django-filter ==2.2.0 2.2.0 up-to-date Python 3 Permissive  
drf-flex-fields ==0.6.1 0.7.5 outdated Python 3 Permissive  
drf-extensions ==0.5.0 0.6.0 outdated Python 3 Permissive  
django-vanilla-views ==1.0.6 1.0.6 up-to-date Python 3 Permissive  
jsonfield ==2.0.2 3.1.0 outdated Python 3 Permissive  
requests ==2.22.0 2.23.0 outdated Python 3 Permissive  
requests-toolbelt ==0.9.1 0.9.1 up-to-date Python 3 Permissive  
slumber ==0.7.1 0.7.1 up-to-date Python 3 Unknown  
pyyaml ==5.1.2 5.3.1 insecure Python 3 Permissive  
Pygments ==2.4.2 2.6.1 outdated Python 3 Permissive  
django-allauth ==0.41.0 0.41.0 up-to-date Python 3 Permissive  
GitPython ==3.0.8 3.1.0 outdated Python 3 Permissive  
elasticsearch ==6.4.0 7.6.0 outdated Python 3 Permissive  
selectolax ==0.2.1 0.2.1 up-to-date Python 3 Permissive  
django-gravatar2 ==1.4.2 1.4.4 outdated Python 3 Permissive  
pytz ==2019.3 2019.3 up-to-date Python 3 Permissive  
Unipath ==1.1 1.1 up-to-date Python 3 Permissive  
django-kombu ==0.9.4 0.9.4 up-to-date Python 3 Permissive  
stripe ==2.38.0 2.45.0 outdated Python 3 Permissive  
regex ==2019.11.1 2020.4.4 outdated Python 3 Permissive  
django-formtools ==2.1 2.2 outdated Python 3 Permissive  
django-crispy-forms ==1.8.0 1.9.0 outdated Python 3 Permissive  
docker ==4.1.0 4.2.0 outdated Python 3 Permissive  
django-textclassifier ==1.0 1.0 up-to-date Python 3 Permissive  
nltk ==3.4.5 3.4.5 up-to-date Python 3 Permissive  
textblob ==0.15.3 0.15.3 up-to-date Python 3 Permissive  
django-annoying ==0.10.5 0.10.6 outdated Python 3 Permissive  
djangorestframework-jsonp ==1.0.2 1.0.2 up-to-date Python 3 Permissive  
django-taggit ==1.1.0 1.2.0 outdated Python 3 Permissive  
dj-pagination ==2.4.0 2.4.0 up-to-date Python 3 Permissive  
packaging ==19.2 20.3 outdated Python 3 Permissive  
django-cors-middleware ==1.4.0 1.5.0 outdated Python 3 Permissive  
user-agents ==2.0 2.1 outdated Python 3 Permissive  
django-debug-toolbar ==2.0 2.2 outdated Python 3 Permissive  
django-csp ==3.6 3.6 up-to-date Python 3 Permissive  

requirements/deploy.txt


gunicorn ==19.9.0 20.0.4 outdated Python 3 Permissive  
django-redis-cache ==2.1.0 2.1.0 up-to-date Python 3 Permissive  
pillow ==7.0.0 7.1.1 outdated Python 3 Unknown  

requirements/docker.txt


psycopg2-binary ==2.8.3 2.8.5 outdated Python 3 Weak Copyleft  
django-redis-cache ==2.1.0 2.1.0 up-to-date Python 3 Permissive  
pillow ==7.0.0 7.1.1 outdated Python 3 Unknown  
watchdog ==0.9.0 0.10.2 outdated Python 3 Permissive  
pywatchman ==1.4.1 1.4.1 up-to-date Python 3 Permissive  
datadiff ==2.0.0 2.0.0 up-to-date Python 3 Permissive  
ipdb ==0.12.2 0.13.2 outdated Python 3 Permissive  
pdbpp ==0.10.2 0.10.2 up-to-date Python 3 Permissive  
tox ==3.14.1 3.14.6 outdated Python 3 Permissive  

requirements/docs-lint.txt


Sphinx ==1.8.5 3.0.0 up-to-date Python 3 Permissive  
rstcheck ==3.3.1 3.3.1 up-to-date Python 3 Permissive  

requirements/lint.txt


pylint-celery ==0.3 0.3 up-to-date Python 3 Strong Copyleft  

requirements/local-docs-build.txt


sphinx_rtd_theme ==0.4.3 0.4.3 up-to-date Python 3 Permissive  
sphinx-tabs ==1.1.13 1.1.13 up-to-date Python 3 Permissive  
Pygments ==2.4.2 2.6.1 outdated Python 3 Permissive  
mkdocs ==1.0.4 1.1 outdated Python 3 Permissive  
Markdown ==3.1.1 3.2.1 outdated Python 3 Permissive  
sphinxcontrib-httpdomain ==1.7.0 1.7.0 up-to-date Python 3 Permissive  
sphinx-prompt ==1.0.0 1.0.0 up-to-date Python 3 Permissive  
sphinx-notfound-page ==0.4 0.4 up-to-date Python 3 Permissive  
commonmark ==0.9.1 0.9.1 up-to-date Python 3 Permissive  
recommonmark ==0.6.0 0.6.0 up-to-date Python 3 Permissive  

requirements/testing.txt


django-dynamic-fixture ==2.0.0 3.1.0 outdated Python 3 Permissive  
pytest ==5.2.2 5.4.1 outdated Python 3 Permissive  
pytest-custom-exit-code ==0.3.0 0.3.0 up-to-date Python 3 Permissive  
pytest-django ==3.6.0 3.9.0 outdated Python 3 Permissive  
pytest-xdist ==1.30.0 1.31.0 outdated Python 3 Permissive  
pytest-cov ==2.8.1 2.8.1 up-to-date Python 3 Permissive  
apipkg ==1.5 1.5 up-to-date Python 3 Permissive  
execnet ==1.7.1 1.7.1 up-to-date Python 3 Permissive  
yamale ==2.0.1 2.0.1 up-to-date Python 3 Permissive  
pytest-mock ==1.11.2 3.0.0 outdated Python 3 Permissive  
datadiff ==2.0.0 2.0.0 up-to-date Python 3 Permissive  
ipdb ==0.12.2 0.13.2 outdated Python 3 Permissive